Subject: [PATCH v5 0/5] clk: implement remuxing during set_rate

From: [email-masked] (James Hogan)
Date: Thu, 25 Jul 2013 10:07:52 +0100

On 24/07/13 19:39, Stephen Boyd wrote:
> On 06/21, James Hogan wrote:
>> On 21 June 2013 18:04, Mike Turquette <[email-masked]> wrote:
>>> Quoting James Hogan (2013-06-13 09:05:57)
>>>> This patchset adds support for automatic selection of the best parent
>>>> for a clock mux, i.e. the one which can provide the closest clock rate
>>>> to that requested. It can be disabled by a new CLK_SET_RATE_NO_REPARENT
>>>> flag (which is set for all uses of clk_register_mux().
>>>>
>>>> This works by way of adding a new op, determine_rate, similar to
>>>> round_rate but with an extra parameter to allow the clock driver to
>>>> optionally select a different parent clock. This is used in
>>>> clk_calc_new_rates to decide whether to initiate a set_parent operation.
>>>
>>> Hi James,
>>>
>>> I'm going to hold off on this one for 3.11. I'll revisit it after the
>>> next merge window.
>>
>> Okay, no worries.
>>
> 
> Has a new patchset been sent out? I'd like to see this merge in
> 3.12.

Not yet, but I'll try and get it updated and resent early next week.

Cheers
James